wxRuby Documentation Home

# Wx::SashWindow

SashWindow allows any of its edges to have a sash which can be dragged
to resize the window. The actual content window will be created by the application
as a child of SashWindow. The window (or an ancestor) will be notified of a drag
via a SashEvent notification.

## Derived from

Window

EvtHandler

Object

## Window styles

The following styles apply in addition to the normal Window styles.

`SW_3D` | Draws a 3D effect sash and border.
`SW_3DSASH` | Draws a 3D effect sash.
`SW_3DBORDER` | Draws a 3D effect border.
`SW_BORDER` | Draws a thin black border.

See also window styles overview.

## Event handling

evt_sash_dragged(id) { | event | … } | Process a EVT_SASH_DRAGGED event,when the user has finished dragging a sash.
EVT_SASH_DRAGGED_RANGE(id1, id2, func) | Process a EVT_SASH_DRAGGED_RANGE event,when the user has finished dragging a sash. The event handler is called when windows with ids in thegiven range have their sashes dragged.

## Data types

enum SashEdgePosition { SASH_TOP = 0, SASH_RIGHT, SASH_BOTTOM, SASH_LEFT, SASH_NONE = 100 };

## See also

SashEvent, SashLayoutWindow, Event handling overview

## Methods

- SashWindow.new
- SashWindow#get_sash_visible
- SashWindow#get_maximum_size_x
- SashWindow#get_maximum_size_y
- SashWindow#get_minimum_size_x
- SashWindow#get_minimum_size_y
- SashWindow#has_border
- SashWindow#set_maximum_size_x
- SashWindow#set_maximum_size_y
- SashWindow#set_minimum_size_x
- SashWindow#set_minimum_size_y
- SashWindow#set_sash_visible
- SashWindow#set_sash_border

### SashWindow.new

SashWindow.new(%(arg-type)Window% parent, Integer id, Point pos = DEFAULT_POSITION, Size size = DEFAULT_SIZE, Integer style = CLIP_CHILDREN SW_3D, String name = “sashWindow”)

Constructs a sash window, which can be a child of a frame, dialog or any other non-control window.

#### Parameters

- parent Pointer to a parent window.
- id Window identifier. If -1, will automatically create an identifier.
- pos Window position. DefaultPosition is (-1, -1) which indicates that SashWindows
  should generate a default position for the window. If using the SashWindow class directly, supply
  an actual position.
- size Window size. DefaultSize is (-1, -1) which indicates that SashWindows
  should generate a default size for the window.
- style Window style. For window styles, please see SashWindow.
- name Window name.

destructor()

Destructor.

### SashWindow#get_sash_visible

Boolean get_sash_visible(%(arg-type)SashEdgePosition% edge)

Returns true if a sash is visible on the given edge, false otherwise.

#### Parameters

- edge Edge. One of SASH_TOP, SASH_RIGHT, SASH_BOTTOM, SASH_LEFT.

#### See also

SashWindow#set_sash_visible

### SashWindow#get_maximum_size_x

Integer get_maximum_size_x()

Gets the maximum window size in the x direction.

### SashWindow#get_maximum_size_y

Integer get_maximum_size_y()

Gets the maximum window size in the y direction.

### SashWindow#get_minimum_size_x

Integer get_minimum_size_x()

Gets the minimum window size in the x direction.

### SashWindow#get_minimum_size_y

Integer get_minimum_size_y()

Gets the minimum window size in the y direction.

### SashWindow#has_border

Boolean has_border(%(arg-type)SashEdgePosition% edge)

Returns true if the sash has a border, false otherwise.

#### Parameters

- edge Edge. One of SASH_TOP, SASH_RIGHT, SASH_BOTTOM, SASH_LEFT.

#### See also

SashWindow#set_sash_border

### SashWindow#set_maximum_size_x

set_maximum_size_x(%(arg-type)Integer% min)

Sets the maximum window size in the x direction.

### SashWindow#set_maximum_size_y

set_maximum_size_y(%(arg-type)Integer% min)

Sets the maximum window size in the y direction.

### SashWindow#set_minimum_size_x

set_minimum_size_x(%(arg-type)Integer% min)

Sets the minimum window size in the x direction.

### SashWindow#set_minimum_size_y

set_minimum_size_y(%(arg-type)Integer% min)

Sets the minimum window size in the y direction.

### SashWindow#set_sash_visible

set_sash_visible(%(arg-type)SashEdgePosition% edge, Boolean visible)

Call this function to make a sash visible or invisible on a particular edge.

#### Parameters

- edge Edge to change. One of SASH_TOP, SASH_RIGHT, SASH_BOTTOM, SASH_LEFT.
- visible true to make the sash visible, false to make it invisible.

#### See also

SashWindow#get_sash_visible

### SashWindow#set_sash_border

set_sash_border(%(arg-type)SashEdgePosition% edge, Boolean hasBorder)

Call this function to give the sash a border, or remove the border.

#### Parameters

- edge Edge to change. One of SASH_TOP, SASH_RIGHT, SASH_BOTTOM, SASH_LEFT.
- hasBorder true to give the sash a border visible, false to remove it.

#### See also

SashWindow#has_border

[This page automatically generated from the Textile source at 2023-06-09 00:45:31 +0000]